#version: '3'
services:
  adminer:
    image: adminer:latest
    container_name: pts_myadmin
    environment:
      ADMINER_DEFAULT_SERVER: mysql
      DB_SERVER: mysql
      DB_USER: root
      DB_PASS: password
    depends_on:
      - mysql
    ports:
      - "8080:8080"

  mysql:
    image: davidabbey/mysql:latest
    container_name: pts_mysql
    hostname: pts_mysql
    #command: mysqld --mysql-native-password=ON
    environment:
      MYSQL_ROOT_PASSWORD: password
      DB_HOST: localhost
      DB_PORT: 3306
      TZ: America/Detroit
      mysql-native-password: "ON"
    ports:
      - "43061:3306"
    restart: always
    volumes:
      - pts_mysql_data:/var/lib/mysql
    build: 
      context: ./
      dockerfile: Dockerfile
    privileged: true

volumes:
  pts_mysql_data:



